## oonsoo 1.2-1

=== Commands/Makefile ===
###############################################################################
# $Header:$
###############################################################################
#
# Makefile
#
# Bradford W. Mott
# July 3,1994
#
###############################################################################
# $Log:$
###############################################################################

## Library to build
LIBRARY = libCommand.a

## Includes
INCLUDE = $(INCLUDES) -I../Tools -I../Sound -I../Game

## List of object files that need to be made
OBJS = CommandFlags.o

all: $(LIBRARY)

install:

$(LIBRARY): $(OBJS)
	$(AR) $(AR_CREATE_FLAGS) $(LIBRARY) $(OBJS)
	$(RANLIB) $(LIBRARY)

.SUFFIXES: .cxx .a

.cxx.o:
	$(CC) $(INCLUDE) -c $(CPPFLAGS) $*.cxx

clean:
	rm -f *.o $(LIBRARY)

=== Sound/Makefile ===
###############################################################################
# $Header:$
###############################################################################
#
# Makefile
#
# Bradford W. Mott
# July 3,1994
#
###############################################################################
# $Log:$
###############################################################################

## Library to build
LIBRARY = libSound.a

INCLUDE = $(INCLUDES) -I../Tools -I../UI -I../Commands -I../Game

## List of object files that need to be made
OBJS  = Sound.o SampleCollection.o Sample.o 

all: $(LIBRARY)

install:

$(LIBRARY): $(OBJS)
	$(AR) $(AR_CREATE_FLAGS) $(LIBRARY) $(OBJS)
	$(RANLIB) $(LIBRARY)

.SUFFIXES: .cxx .a

.cxx.o:
	$(CC) $(INCLUDE) -c $(CPPFLAGS) $*.cxx

clean:
	rm -f *.o $(LIBRARY)

=== SpriteData/Makefile ===
###############################################################################
# $Header:$
###############################################################################
#
# Makefile
#
# Bradford W. Mott
# July 3,1994
#
###############################################################################
# $Log:$
###############################################################################

## Library to build
LIBRARY = libSpriteData.a

## Includes
INCLUDE = $(INCLUDES)

all: $(LIBRARY)

install:

$(LIBRARY): 
	$(CC) -c *.cxx
	$(AR) $(AR_CREATE_FLAGS) $(LIBRARY) *.o
	$(RANLIB) $(LIBRARY)

.SUFFIXES: .cxx .a

clean:
	rm -f *.o $(LIBRARY)

=== debian/changelog ===
oonsoo (1.2-1) frozen unstable; urgency=low

  * New upstream version to allow upstream author to adopt the GNU 
    GENERAL PUBLIC LICENSE. Therefore package moved from non-free
    to main.
  * Bug fix (Bug#9226: Oonsoo doesn't work with TrueColor visuals).
  * Updated to Standards-Version: 3.1.1.1 using debhelper.
  * Lintian free.

 -- Colin R. Telmer <telmerco@debian.org>  Tue, 25 Jan 2000 23:38:03 -0500

oonsoo (1.1-8.1) unstable; urgency=low

  * Non-maintainer upload during bug-squashing party.
  * Recompilation with new libstdc++2.10 (closes: #53451)

 -- Christian Kurz <shorty@debian.org>  Sat,  8 Jan 2000 13:50:59 +0100

oonsoo (1.1-8) unstable; urgency=low

  * Recompiled with egcs (1.1b-3). Closes bug #29080.

 -- Colin R. Telmer <telmerco@debian.org>  Mon,  9 Nov 1998 21:38:51 -0500

oonsoo (1.1-7) unstable; urgency=low

  * Really recompiled with xlib6g-dev (fixes #15376)

 -- Colin R. Telmer <telmerco@debian.org>  Tue, 17 Feb 1998 11:48:08 -0500

oonsoo (1.1-6) non-free; urgency=low

  * Forwarded bug report #14964 to upstream author regarding
    non-compliance of copyright with DFSG. Moved package to non-free until
    upstream author releases new copyright.

 -- Colin R. Telmer <telmerco@debian.org>  Sun, 23 Nov 1997 18:02:46 -0500

oonsoo (1.1-5) unstable; urgency=low

  * Recompiled with xlib6g-dev (#14795)

 -- Colin R. Telmer <telmerco@debian.org>  Sat, 22 Nov 1997 14:34:00 -0500

oonsoo (1.1-4) unstable; urgency=low

  * Changed "i386" to "any" in debian/control (fixes bug #13624)
  * Rebuilt without debmake

 -- Colin R. Telmer <telmerco@debian.org>  Thu, 16 Oct 1997 23:56:48 -0400

oonsoo (1.1-3) unstable; urgency=low

  * Moved man page from /usr/man to /usr/X11R6/man (fixed bug #10262)

 -- Colin R. Telmer <telmerco@debian.org>  Wed,  4 Jun 1997 17:42:20 -0400

oonsoo (1.1-2) unstable; urgency=low

  * Added menu entry
  * Documented bug #9226 in manpage and forwarded it to upstream author.

 -- Colin R. Telmer <telmerco@debian.org>  Fri, 2 May 1997 16:05:43 -0400

oonsoo (1.1-1) unstable; urgency=low

  * Edited Makefile.common to work with bash 2.0
  * Initial Release.

 -- Colin R. Telmer <telmerco@debian.org>  Wed, 26 Mar 1997 21:49:37 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "telmerco@debian.org"
End:

=== debian/control ===
Source: oonsoo
Section: games
Priority: optional
Build-Depends: debhelper
Maintainer: Colin R. Telmer <telmerco@debian.org>
Standards-Version: 3.1.1.1

Package: oonsoo
Architecture: any
Depends: ${shlibs:Depends}
Description: Solitaire card game for x11.
 Oonsoo is a solitaire card game for x11. The goal of the game is to arrange
 the twelve suits of cards, in order, onto the twelve playing decks.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

package=oonsoo

debtmp := $(shell pwd)/debian/tmp
debbin := $(debtmp)/usr/games
arch = $(shell dpkg --print-architecture)-linux

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="-O2 -g -Wall" SYS_LIBS="-L/usr/X11R6/lib -lX11" -f Makefile.Linux
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -f Makefile.common clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# First create the directories
	install -d -m 0755 debian/tmp
	install -d -m 0755 $(debbin)
	# Install the binary
	install -s -m 0755 oonsoo $(debbin)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#       dh_testversion
	dh_testdir
	dh_testroot
#       dh_installdebconf       
	dh_installdocs Announcement README
	dh_installexamples
	dh_installmenu
#       dh_installemacsen
#       dh_installpam
#       dh_installmime
#       dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#       dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
        # You may want to make some executables suid here.
	dh_suidregister
#       dh_makeshlibs
	dh_installdeb
#       dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary install
